> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workflow Trigger

> Update a trigger's definition.



## OpenAPI

````yaml patch /v1/workflows/{workflow_id}/triggers/{trigger_id}
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/workflows/{workflow_id}/triggers/{trigger_id}:
    patch:
      tags:
        - V1 - Triggers
      summary: Update Workflow Trigger
      description: Update a trigger's definition.
      operationId: update_workflow_trigger
      parameters:
        - name: workflow_id
          in: path
          required: true
          schema:
            type: string
            title: Workflow Id
        - name: trigger_id
          in: path
          required: true
          schema:
            type: string
            title: Trigger Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTriggerRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Trigger'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    UpdateTriggerRequest:
      properties:
        definition:
          additionalProperties: true
          type: object
          title: Definition
        name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
            - $ref: '#/components/schemas/Unset'
          title: Name
          default: {}
        workflow_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workflow Version Id
      type: object
      required:
        - definition
      title: UpdateTriggerRequest
    Trigger:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          type: string
          format: uuid
          title: Group Id
        workflow_id:
          type: string
          format: uuid
          title: Workflow Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        definition:
          additionalProperties: true
          type: object
          title: Definition
        routing_key:
          type: string
          title: Routing Key
        workflow_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workflow Version Id
        last_run_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Run At
        last_fired_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Fired At
        last_error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Last Error
      type: object
      required:
        - id
        - group_id
        - workflow_id
        - definition
        - routing_key
      title: Trigger
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Unset:
      properties: {}
      type: object
      title: Unset
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````